using System;

namespace Zadatak1_Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            int i, j, x, y;
            char a, b;
            a = Convert.ToChar(Console.ReadLine());
            b = Convert.ToChar(Console.ReadLine());
            x = Convert.ToInt32(Console.ReadLine());
            y = Convert.ToInt32(Console.ReadLine());
            j = x - y;
            if (j == -1)
            {
                for (i = 0; i < x; i++)
                {
                    Console.Write("{0}{1}", b, a);
                }
                Console.Write(b);
            }
            else if (j == 0)
            {
                for (i = 0; i < x; i++)
                {
                    Console.Write("{0}{1}", b, a);
                }
            }
            else if (j == 1)
            {
                Console.Write(a);
                for (i = 0; i < y; i++)
                {
                    Console.Write("{0}{1}", b, a);
                }
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}